Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514945 - Enable driver for Behringer BCD 2000 (snd-bcd2000) / CONFIG_SND_BCD2000
Summary: Enable driver for Behringer BCD 2000 (snd-bcd2000) / CONFIG_SND_BCD2000
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 15:38 UTC by Tim Jackson
Modified: 2017-11-28 04:11 UTC (History)
19 users (show)

Fixed In Version: kernel-4.13.15-300.fc27 kernel-4.13.15-200.fc26 kernel-4.13.15-100.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-27 21:24:42 UTC


Attachments (Terms of Use)

Description Tim Jackson 2017-11-19 15:38:29 UTC
The driver "snd-bcd2000" (for the Behringer BCD 2000 DJ controller) is not available in Fedora which prevents this hardware working. The relevant config option is CONFIG_SND_BCD2000.

Please could it be enabled. It's a tiny module but essential for this hardware to do anything useful. I just rebuilt the current Fedora kernel-4.13.12-300.x86_64.fc27 with this option enabled and it works great.

(There was a reference to this in bug #1204342, but it clearly didn't get enabled back then) 

Thanks!

Comment 1 Laura Abbott 2017-11-20 18:18:14 UTC
I went ahead and enabled it on all branches. You'll see the bugzilla get updated when it shows up in a build.

Comment 2 Tim Jackson 2017-11-21 01:01:33 UTC
Many thanks, and for the quick response! Much appreciated.

Comment 3 Fedora Update System 2017-11-22 04:30:01 UTC
kernel-4.13.15-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-96bebe1626

Comment 4 Fedora Update System 2017-11-22 04:30:23 UTC
kernel-4.13.15-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f7aaad6276

Comment 5 Fedora Update System 2017-11-22 04:30:34 UTC
kernel-4.13.15-100.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c04c80ee2d

Comment 6 Fedora Update System 2017-11-22 17:53:19 UTC
kernel-4.13.15-100.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c04c80ee2d

Comment 7 Fedora Update System 2017-11-22 21:40:20 UTC
kernel-4.13.15-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f7aaad6276

Comment 8 Fedora Update System 2017-11-25 01:33:06 UTC
kernel-4.13.15-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-96bebe1626

Comment 9 Fedora Update System 2017-11-27 21:24:42 UTC
kernel-4.13.15-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-28 00:49:44 UTC
kernel-4.13.15-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-28 04:11:17 UTC
kernel-4.13.15-100.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.